Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 186327 - media-sound/awesfx fails to compile with linux-headers-2.6.22 (missing awe_voice.h)
Summary: media-sound/awesfx fails to compile with linux-headers-2.6.22 (missing awe_vo...
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: sane-linux-headers
  Show dependency tree
 
Reported: 2007-07-23 13:24 UTC by Jakob Oesinghaus
Modified: 2008-01-14 15:03 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
output of emerge --info (emergeinfo,8.34 KB, text/plain)
2007-07-23 13:27 UTC, Jakob Oesinghaus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jakob Oesinghaus 2007-07-23 13:24:44 UTC
Trying to emerge awesfx results in an error when the newest (unstable) linux-headers-2.6.22-r1 are installed, because they no longer contain awe_voice.h.

Reproducible: Always

Steps to Reproduce:
1. emerge =sys-kernel/linux-headers-2.6.22-r1
2. emerge awesfx
3. Watch error message :(
Actual Results:  
The package did not compile.

Expected Results:  
It should work somehow
3.
Comment 1 Jakob Oesinghaus 2007-07-23 13:27:33 UTC
Created attachment 125738 [details]
output of emerge --info
Comment 2 Paul Taylor 2007-07-25 05:30:38 UTC
awe_voice.h was removed as of kernel 2.6.22: "Delete unused header file linux/awe_voice.h"

I've emailed the author of awesfx to see if it can be updated to include its own copy of the header; until then (or a Gentoo patch is available), you could try masking linux-headers-2.6.22 and later.
Comment 3 Paul Taylor 2007-07-25 10:41:23 UTC
Version bump to 0.5.1 please:

  Thanks for information.
  I released awesfx-0.5.1 now to fix this issue.
	ftp://ftp.suse.com/pub/people/tiwai/awesfx/awesfx-0.5.1.tar.gz
Comment 4 Alexis Ballier gentoo-dev 2007-07-27 03:55:29 UTC
Still getting this error with 0.5.1 : 


make[1]: Entering directory `/var/tmp/portage/media-sound/awesfx-0.5.1/work/awesfx-0.5.1/awelib'
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../include -I../include    -march=athlon64 -O2 -pipe -MT awe_parm.o -MD -MP -MF .deps/awe_parm.Tpo -c -o awe_parm.o awe_parm.c
In file included from awe_parm.c:25:
../include/awe_parm.h:25:29: error: linux/awe_voice.h: No such file or directory
In file included from awe_parm.c:25:
../include/awe_parm.h:30: error: expected ‘)’ before ‘*’ token
../include/awe_parm.h:31: error: expected ‘)’ before ‘*’ token
awe_parm.c:109: error: expected ‘)’ before ‘*’ token
awe_parm.c:142: error: expected ‘)’ before ‘*’ token
make[1]: *** [awe_parm.o] Error 1
Comment 5 Samuli Suominen gentoo-dev 2007-07-29 12:31:14 UTC
Bumped to 0.5.1, and resolved the issue here.

diff -ur awesfx-0.5.1.orig/awelib/loadbank.c awesfx-0.5.1/awelib/loadbank.c
--- awesfx-0.5.1.orig/awelib/loadbank.c 2004-01-22 18:58:13.000000000 +0200
+++ awesfx-0.5.1/awelib/loadbank.c      2007-07-29 15:02:36.000000000 +0300
@@ -24,11 +24,10 @@
 #include <ctype.h>
 #ifdef linux
 #include <linux/soundcard.h>
-#include <linux/awe_voice.h>
 #else
 #include <machine/soundcard.h>
-#include <awe_voice.h>
 #endif
+#include "awe_voice.h"
 #include "util.h"
 #include "awebank.h"
 #include "aweseq.h"
diff -ur awesfx-0.5.1.orig/awelib/parsesf.c awesfx-0.5.1/awelib/parsesf.c
--- awesfx-0.5.1.orig/awelib/parsesf.c  2004-02-04 17:18:35.000000000 +0200
+++ awesfx-0.5.1/awelib/parsesf.c       2007-07-29 15:02:01.000000000 +0300
@@ -29,11 +29,10 @@
 #include <errno.h>
 #ifdef linux
 #include <linux/soundcard.h>
-#include <linux/awe_voice.h>
 #else
 #include <machine/soundcard.h>
-#include <awe_voice.h>
 #endif
+#include "awe_voice.h"
 #include "awe_parm.h"
 #include "itypes.h"
 #include "sffile.h"
diff -ur awesfx-0.5.1.orig/include/awe_parm.h awesfx-0.5.1/include/awe_parm.h
--- awesfx-0.5.1.orig/include/awe_parm.h        2000-04-27 16:45:35.000000000 +0300
+++ awesfx-0.5.1/include/awe_parm.h     2007-07-29 15:07:37.000000000 +0300
@@ -21,11 +21,7 @@
 #ifndef AWE_PARM_H_DEF
 #define AWE_PARM_H_DEF
 
-#ifdef linux
-#include <linux/awe_voice.h>
-#else
-#include <awe_voice.h>
-#endif
+#include "awe_voice.h"
 
 void awe_init_parm(awe_voice_parm *pp);
 void awe_init_voice(awe_voice_info *vp);
Comment 6 Arvid Norlander 2008-01-14 13:58:57 UTC
This is not resolved for the stable package on amd64 at least.

# eix awesfx
...
     Available versions:  0.5.0d ~0.5.1
...


Making all in awelib
make[1]: Entering directory `/var/tmp/portage/media-sound/awesfx-0.5.0d/work/awesfx-0.5.0d/awelib'
if x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I../include -I../include    -march=k8 -pipe -O2 -msse3 -MT awe_parm.o -MD -MP -MF ".deps/awe_parm.Tpo" -c -o awe_parm.o awe_parm.c; \
        then mv -f ".deps/awe_parm.Tpo" ".deps/awe_parm.Po"; else rm -f ".deps/awe_parm.Tpo"; exit 1; fi
In file included from awe_parm.c:25:
../include/awe_parm.h:25:29: error: linux/awe_voice.h: No such file or directory
In file included from awe_parm.c:25:
../include/awe_parm.h:30: error: expected ')' before '*' token
../include/awe_parm.h:31: error: expected ')' before '*' token
awe_parm.c:109: error: expected ')' before '*' token
awe_parm.c:142: error: expected ')' before '*' token
make[1]: *** [awe_parm.o] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-sound/awesfx-0.5.0d/work/awesfx-0.5.0d/awelib'
make: *** [all-recursive] Error 1

sys-kernel/linux-headers-2.6.23-r2

The stable media-sound/awesfx does in other words not compile on amd64 with recent kernel headers. Either mark a newer version stable, backport the fix, or something else IMO.
Comment 7 Samuli Suominen gentoo-dev 2008-01-14 15:03:07 UTC
0.5.1 is now stable on amd64.